Zum Hauptinhalt springen
POST
/
audio
/
complete
/api/v1/audio/complete
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000"
}
'
import requests

url = "https://api.venice.ai/api/v1/audio/complete"

payload = {
"model": "elevenlabs-music",
"queue_id": "123e4567-e89b-12d3-a456-426614174000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'elevenlabs-music', queue_id: '123e4567-e89b-12d3-a456-426614174000'})
};

fetch('https://api.venice.ai/api/v1/audio/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
Rufen Sie diesen Endpoint auf, nachdem Sie generierte Audiodaten erfolgreich heruntergeladen haben, wenn Venice die zur Anfrage gespeicherten Medien bereinigen soll.

Postman-Collection

Weitere Beispiele finden Sie in dieser Postman-Collection.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
erforderlich

The ID of the model used for audio generation.

Beispiel:

"elevenlabs-music"

queue_id
string
erforderlich

The ID of the audio generation request. Use this to poll for status and retrieve the result.

Beispiel:

"123e4567-e89b-12d3-a456-426614174000"

Antwort

Media cleanup result. A success value of false indicates cleanup did not complete and can be retried later.

success
boolean
erforderlich

Indicates whether the audio cleanup was successful.

Beispiel:

true